အကြောင်းအရာသို့ ကျော်ရန်

LTX 2.3 Video Pro · Audio to Video

ပေါင်းစည်းရန်

မော်ဒယ် id ltx-2.3/audio-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3/audio-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

နမူနာကဲ့သို့ ဖိုင်များ: ၁.၀၀ $ ၁,၀၀၀ API ခရက်ဒစ် · ≈ ၁၀၇.၅၈ ₽ လုပ်ဆောင်မီ သင့်ဖိုင်များကို တိုင်းတာသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Lightricks Lipsync နှင့် Avatars Lipsync #stylized#transform

အသံဖိုင်မှ ဗီဒီယိုအပိုင်းကို ဖန်တီးပေးပြီး ပထမဖရိမ်ပုံဖြင့် ရွေးချယ်ကာ အခြေခံနိုင်သော အရည်အသွေးမြင့် အသံမှဗီဒီယို

Lightricks · ဗီဒီယို

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

0 / 5000

`image_url` ပေါ်မူတည်၍ အခန်းကဏ္ဍကွဲပြားသည့် ဗီဒီယိုညွှန်ကြားချက်များ: ပုံပါရှိပါက ၎င်း၏ animation ကို သတ်မှတ်ပြီး ပုံမပါရှိပါက ဖန်တီးမည့်ဗီဒီယိုကို ဖော်ပြရန် မဖြစ်မနေလိုအပ်သည်။

•လိုအပ်သည် audio_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

ဗီဒီယိုဖန်တီးမှုအတွက် ရင်းမြစ်အဖြစ် အသုံးပြုသည့် အသံဖိုင် URL။ အများပြည်သူသုံးနိုင်သော URL သို့မဟုတ် base64 data URI ကို ပေးပါ။ အသံကြာချိန်သည် 2–20 စက္ကန့်အတွင်း ဖြစ်ရပြီး pro မော်ဒယ်များတွင် 10 စက္ကန့်အထိသာ ကန့်သတ်ထားသည်။

aspect_ratio မူလ auto

ဗီဒီယို aspect ratio ဖြစ်ပြီး 'auto' သည် ထည့်သွင်းချက် ပုံပေးထားပါက ပုံမှရရှိသော ratio နှင့် မပေးထားပါက 16:9 အကြား ရွေးချယ်ပေးသည်။

အဆင့်မြင့် image · guidance_scale · enable_safety_checker
image_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

အစဖရိမ်ပုံ URL။ ၎င်းကို မပေးပါက ပရောမ့်သည် မဖြစ်မနေ လိုအပ်သည်။

ဗီဒီယိုဖန်တီးမှုအတွက် ပရောမ့်လိုက်နာမှုအား။ ပုံနှင့်အတူ မူလတန်ဖိုး 9 ဖြစ်ပြီး စာသားမှဗီဒီယိုအတွက် 5 ဖြစ်သည်။ ပရောမ့်နှင့် ပိုမိုကိုက်ညီစေရန် စကေးကို တိုးပါ။

POST /run/ltx-2.3/audio-to-video?wait=20 ကုန်ကျစရိတ် → ၁.၀၀ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3/audio-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

LTX 2.3 Video Pro · Audio to Video အကြောင်း

`image_url` တွင် ရွေးချယ်နိုင်သော အစပုံတစ်ပုံဖြင့် အသံဖိုင်အတိုင်း လိုက်နာသည့် ဗီဒီယိုကို ထုတ်လုပ်သည်။ ပုံမပေးထားပါက အများဆုံး အက္ခရာ 5000 ပါသော `prompt` လိုအပ်သည်။ အသံသည် 2 မှ 20 စက္ကန့်အထိ ဖြစ်ရမည်၊ pro မော်ဒယ်များအတွက် အများဆုံး 10 စက္ကန့် ဖြစ်သည်။ `aspect_ratio` သည် auto၊ 16:9 သို့မဟုတ် 9:16 ဖြစ်နိုင်ပြီး `guidance_scale` သည် 1 မှ 50 အထိ ဖြစ်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
audio_urlလိုအပ်သည် audio
အမျိုးအစားurl · audio
ဗီဒီယိုဖန်တီးမှုအတွက် ရင်းမြစ်အဖြစ် အသုံးပြုသည့် အသံဖိုင် URL။ အများပြည်သူသုံးနိုင်သော URL သို့မဟုတ် base64 data URI ကို ပေးပါ။ အသံကြာချိန်သည် 2–20 စက္ကန့်အတွင်း ဖြစ်ရပြီး pro မော်ဒယ်များတွင် 10 စက္ကန့်အထိသာ ကန့်သတ်ထားသည်။
image_urlရွေးချယ်နိုင်သည် image
အမျိုးအစားurl · image
အစဖရိမ်ပုံ URL။ ၎င်းကို မပေးပါက ပရောမ့်သည် မဖြစ်မနေ လိုအပ်သည်။
promptရွေးချယ်နိုင်သည်
အမျိုးအစားstring | null
စာလုံး ၅,၀၀၀ လုံးထက် မပိုပါ
`image_url` ပေါ်မူတည်၍ အခန်းကဏ္ဍကွဲပြားသည့် ဗီဒီယိုညွှန်ကြားချက်များ: ပုံပါရှိပါက ၎င်း၏ animation ကို သတ်မှတ်ပြီး ပုံမပါရှိပါက ဖန်တီးမည့်ဗီဒီယိုကို ဖော်ပြရန် မဖြစ်မနေလိုအပ်သည်။
guidance_scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber | null
၁ – ၅၀
ဗီဒီယိုဖန်တီးမှုအတွက် ပရောမ့်လိုက်နာမှုအား။ ပုံနှင့်အတူ မူလတန်ဖိုး 9 ဖြစ်ပြီး စာသားမှဗီဒီယိုအတွက် 5 ဖြစ်သည်။ ပရောမ့်နှင့် ပိုမိုကိုက်ညီစေရန် စကေးကို တိုးပါ။
aspect_ratioရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
auto16:99:16
ဗီဒီယို aspect ratio ဖြစ်ပြီး 'auto' သည် ထည့်သွင်းချက် ပုံပေးထားပါက ပုံမှရရှိသော ratio နှင့် မပေးထားပါက 16:9 အကြား ရွေးချယ်ပေးသည်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
caller က ခွင့်ပြုချက်ရှိပါက false သတ်မှတ်ခြင်းဖြင့် စစ်ဆေးမှုကို လျှော့ချနိုင်သည်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3/audio-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1000,
    "usd": "1.00",
    "charged": 1000,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}ရရှိလာသော ဗီဒီယိုဖိုင်။

နောက်ထပ် မော်ဒယ်များ: Lipsync နှင့် Avatars

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/ltx-2.3/audio-to-video.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt